package odoc

  1. Overview
  2. No Docs
OCaml documentation generator

Install

Dune Dependency

Authors

Maintainers

Sources

odoc-2.2.0.tbz
sha256=6818c971fc0c3eed9d3d143389f80739b1618af70b9fdb443b35bd7f0121740c
sha512=9f8fc2ee6b25629474e8aa69dd460becab9277261578af0f7b97f7f779cc5f1056d1b5f14ab583b9b94ea097e5df2d6e35040f2a4887021209705486f9d44a22

Description

Odoc is a documentation generator for OCaml. It reads doc comments, delimited with (** ... *), and outputs HTML.

Published: 13 Dec 2022

Dependencies (10)

  1. fmt
  2. tyxml >= "4.3.0"
  3. result
  4. ocaml >= "4.02.0" & < "5.1"
  5. fpath
  6. dune >= "3.0.2"
  7. cppo build & >= "1.1.0"
  8. cmdliner >= "1.0.0"
  9. astring
  10. odoc-parser >= "2.0.0" & < "2.3.0"

Dev Dependencies (12)

  1. mdx with-test
  2. ocaml < "4.03.0" & with-test
  3. bisect_ppx with-test & > "2.5.0"
  4. ocaml < "4.07.0" & with-test
  5. crunch with-test
  6. bos with-test
  7. ppx_expect with-test
  8. conf-jq with-test
  9. sexplib0 with-test
  10. ocaml < "4.04.1" & with-test
  11. yojson < "2.0.0" & with-test
  12. ocamlfind with-test

  1. absolute >= "0.2"
  2. acgtk >= "2.0.0"
  3. adobe_font_metrics
  4. agrid
  5. aifad >= "2.3.0"
  6. alba >= "0.4.1"
  7. alcotest = "1.1.0" | = "1.2.3" | >= "1.5.0"
  8. alcotest-async >= "1.5.0"
  9. alcotest-js
  10. alcotest-lwt >= "1.5.0"
  11. alcotest-mirage >= "1.5.0"
  12. algaeff
  13. alt-ergo >= "2.4.1"
  14. alt-ergo-lib >= "2.4.1"
  15. alt-ergo-parsers >= "2.4.1"
  16. alt-ergo-plugin-ab-why3
  17. altgr-ergo >= "2.4.1"
  18. ambient-context
  19. ambient-context-eio
  20. ambient-context-lwt
  21. anders < "0.7.1"
  22. ansi >= "0.6.0"
  23. ansi-parse >= "0.4.0"
  24. antic
  25. ao >= "0.2.4"
  26. arb
  27. archetype >= "1.2.3"
  28. arg-complete
  29. argon2 >= "1.0.0"
  30. argsh
  31. arrakis
  32. arrayjit
  33. asai
  34. asak
  35. ask
  36. ask-integrator
  37. async-uri >= "0.4.0"
  38. atable
  39. atacama < "0.0.4"
  40. atd >= "2.3.3"
  41. atdd
  42. atdgen >= "2.3.3"
  43. atdgen-codec-runtime >= "2.3.3"
  44. atdgen-runtime >= "2.3.3"
  45. atdj >= "2.3.3" & < "20151001.01"
  46. atdpy
  47. atds >= "2.3.3"
  48. atdts
  49. autofonce
  50. autofonce_config
  51. autofonce_core
  52. autofonce_lib
  53. autofonce_m4
  54. autofonce_misc
  55. autofonce_patch
  56. autofonce_share
  57. avro
  58. avro-compiler
  59. awsm
  60. awsm-async
  61. awsm-codegen
  62. awsm-lwt
  63. baby
  64. backoff
  65. baguette_sharp
  66. bam
  67. bam-ppx
  68. bare_encoding
  69. base32
  70. bastet
  71. bastet_async
  72. bastet_lwt
  73. batsat
  74. batteries >= "3.7.1"
  75. beluga >= "1.1"
  76. bencode >= "2.0"
  77. bestline
  78. bin_tree
  79. bindlib >= "6.0.0"
  80. binsec >= "0.4.0"
  81. bio_io
  82. biotk
  83. bitcoin >= "3.0"
  84. bitcoin-cohttp-async
  85. bitcoin-cohttp-lwt
  86. bitcoin-ocurl
  87. bitcoinml
  88. bitgenerators
  89. bitmasks >= "1.1.0"
  90. bitpack_serializer
  91. bitwuzla
  92. bitwuzla-c
  93. bitwuzla-cxx
  94. bls12-381 >= "6.0.1" & < "18.0"
  95. blurhash
  96. bogue >= "20210917"
  97. bogue-tutorials
  98. boltzgen >= "0.9.2"
  99. boulangerie
  100. box
  101. brotli >= "2.0.3"
  102. brr-lwd
  103. bwd
  104. bytebuffer
  105. bytestring
  106. bz2
  107. ca-certs-nss >= "3.64.0.1"
  108. cairn
  109. caisar
  110. caisar-ir
  111. caisar-nnet
  112. caisar-onnx
  113. caisar-ovo
  114. caisar-xgboost
  115. calcium
  116. calculon >= "0.3"
  117. calculon-web >= "0.3"
  118. calendar >= "3.0.0"
  119. calipso
  120. camelot >= "1.3.0"
  121. camlimages >= "5.0.5"
  122. camlkit
  123. camlkit-base
  124. camlkit-gui
  125. camlp-streams >= "5.0.1"
  126. camlrack
  127. camomile >= "2.0.0"
  128. camyll
  129. canary
  130. caqti >= "1.7.0"
  131. caqti-async >= "1.7.0"
  132. caqti-driver-mariadb >= "1.7.0"
  133. caqti-driver-postgresql >= "1.7.0"
  134. caqti-driver-sqlite3 >= "1.7.0"
  135. caqti-eio
  136. caqti-lwt >= "1.7.0"
  137. caqti-mirage
  138. caqti-tls
  139. caqti-type-calendar >= "1.9.0"
  140. carbon
  141. castore
  142. catala >= "0.5.0"
  143. catapult
  144. catapult-client
  145. catapult-daemon
  146. catapult-file
  147. catapult-sqlite
  148. cborl
  149. ccbg
  150. cf
  151. cf-lwt
  152. cfg >= "2.3.0"
  153. chamo >= "4.0"
  154. checked_oint
  155. choice >= "0.4"
  156. chrome-trace
  157. cid
  158. clangml >= "4.2.0"
  159. clangml-transforms >= "0.26"
  160. clap >= "0.2.0"
  161. clarity-lang
  162. clim
  163. clim-ppx
  164. cll
  165. clp_operations
  166. cmon
  167. cobs
  168. cohttp >= "6.0.0~alpha0"
  169. cohttp-async >= "6.0.0~alpha0"
  170. cohttp-curl
  171. cohttp-curl-async
  172. cohttp-curl-lwt
  173. cohttp-eio
  174. cohttp-lwt >= "6.0.0~alpha0"
  175. cohttp-lwt-jsoo >= "6.0.0~alpha0"
  176. cohttp-lwt-unix >= "6.0.0~alpha0"
  177. cohttp-mirage >= "6.0.0~alpha0"
  178. cohttp-server-lwt-unix
  179. cohttp-top >= "6.0.0~alpha0"
  180. colibri2
  181. colibrics
  182. colibrilib
  183. colors
  184. combic
  185. combinaml
  186. combinat >= "3.0"
  187. config
  188. config-file >= "1.2.1"
  189. conformist >= "0.8.1"
  190. containers >= "2.0"
  191. containers-data
  192. containers-thread
  193. coq >= "8.19.0"
  194. coq-core >= "8.19.0"
  195. coq-stdlib >= "8.19.0"
  196. coqide >= "8.19.0"
  197. coqide-server >= "8.19.0"
  198. crc >= "2.0.0"
  199. crontab
  200. crowbar >= "0.2.1"
  201. cry >= "0.6.6"
  202. csexp >= "1.5.1"
  203. css
  204. ctoxml
  205. ctypes >= "0.21.1"
  206. ctypes-foreign >= "0.21.1"
  207. cucumber
  208. cudajit
  209. cudf >= "0.10"
  210. cue_sheet_maker
  211. curly >= "0.2.0"
  212. current >= "0.6.4"
  213. current-albatross-deployer
  214. current-web-pipelines
  215. current_docker >= "0.6.4"
  216. current_examples >= "0.6.4"
  217. current_git >= "0.6.4"
  218. current_github >= "0.6.4"
  219. current_gitlab >= "0.6.4"
  220. current_ocluster >= "0.2"
  221. current_rpc >= "0.6.4"
  222. current_slack >= "0.6.4"
  223. current_ssh
  224. current_web >= "0.6.4"
  225. curses >= "1.0.10"
  226. cwe_checker >= "0.3"
  227. DkSDKFFIOCaml_Std
  228. data-encoding >= "0.5"
  229. datalog >= "0.6"
  230. dates_calc
  231. dbf >= "0.2.0"
  232. decimal
  233. decoders >= "0.5.0"
  234. decoders-bencode
  235. decoders-cbor
  236. decoders-ezjsonm >= "0.3.0"
  237. decoders-ezxmlm
  238. decoders-jsonaf
  239. decoders-jsonm
  240. decoders-msgpck
  241. decoders-sexplib
  242. decoders-yojson >= "0.3.0"
  243. delimcc_of_fxhandler
  244. devkit >= "1.20210120"
  245. diff
  246. diskuvbox
  247. disml
  248. dkml-c-probe
  249. dkml-component-offline-ocamlrun
  250. dkml-component-offline-opam
  251. dkml-component-staging-ocamlrun >= "4.12.1~v1.0.2"
  252. dkml-component-staging-opam32 < "2.2.0~dkml20220801"
  253. dkml-component-staging-opam64 < "2.2.0~dkml20220801"
  254. dkml-dune-dsl
  255. dkml-dune-dsl-show
  256. dkml-install
  257. dkml-install-installer
  258. dkml-install-runner
  259. dkml-option-vcpkg
  260. dkml-package-console
  261. dkml-runtime-distribution
  262. dkml-workflows
  263. dlm >= "0.3.3"
  264. dmap
  265. docfd
  266. docker-api >= "0.2.2"
  267. dockerfile >= "8.1.0"
  268. dockerfile-cmd >= "8.1.0"
  269. dockerfile-opam >= "8.1.0"
  270. doculib
  271. doi2bib >= "0.3.0"
  272. dolmen >= "0.5"
  273. dolmen_bin
  274. dolmen_loop
  275. dolmen_lsp
  276. dolmen_model
  277. dolmen_type
  278. domain-local-await
  279. domain-local-timeout
  280. domainslib >= "0.5.1"
  281. dose3 >= "6.1"
  282. dose3-extra
  283. dream-accept
  284. dream-cli
  285. dream-encoding
  286. dream-html
  287. dream-htmx
  288. dream-livereload
  289. drom
  290. drom_lib
  291. drom_toml
  292. dscheck
  293. dssi >= "0.1.4"
  294. dtools >= "0.4.3"
  295. dual
  296. dump_ocamlformat
  297. dune-action-plugin >= "2.7.0"
  298. dune-build-info >= "2.7.0"
  299. dune-compiledb
  300. dune-configurator >= "2.7.0"
  301. dune-expand
  302. dune-glob >= "2.7.0"
  303. dune-private-libs >= "2.7.0"
  304. dune-release
  305. dune-rpc
  306. dune-rpc-lwt
  307. dune-site
  308. duppy >= "0.9.1"
  309. dyn
  310. earley >= "3.0.0"
  311. earlybird >= "1.0.0"
  312. easy-format >= "1.3.3"
  313. ego
  314. eio
  315. eio-ssl >= "0.1.1"
  316. eio-trace
  317. eio_linux
  318. eio_luv
  319. eio_main
  320. eio_posix
  321. eio_windows
  322. electrod >= "1.0.0"
  323. eliom >= "10.1.2"
  324. elpi >= "1.16.7"
  325. embedded_ocaml_templates >= "0.8"
  326. encoding
  327. equinoxe
  328. equinoxe-cohttp
  329. equinoxe-hlc
  330. eris
  331. eris-lwt
  332. erlang
  333. errpy
  334. extism
  335. extism-manifest
  336. extunix >= "0.4.0"
  337. ez_cmdliner >= "0.2.0"
  338. ez_config >= "0.2.0"
  339. ez_file >= "0.2.0"
  340. ez_hash
  341. ez_opam_file
  342. ez_search
  343. ez_subst
  344. ezcurl
  345. ezcurl-lwt
  346. ezgzip
  347. ezjs_fetch >= "0.3"
  348. ezjs_idb >= "0.1.1"
  349. ezjs_min >= "0.2.2"
  350. ezjsonm-encoding
  351. FPauth
  352. FPauth-core
  353. FPauth-responses
  354. FPauth-strategies
  355. FrontC >= "4.0.0"
  356. faad >= "0.5.1"
  357. fadbadml >= "0.1.2"
  358. farith
  359. fd-send-recv >= "2.0.1"
  360. fdkaac >= "0.3.3"
  361. feather >= "0.2.0"
  362. feather_async >= "0.2.0"
  363. ffmpeg >= "1.0.0~beta2"
  364. ffmpeg-av >= "1.0.0~beta2"
  365. ffmpeg-avcodec >= "1.0.0~beta2"
  366. ffmpeg-avdevice >= "1.0.0~beta2"
  367. ffmpeg-avfilter >= "1.0.0~beta2"
  368. ffmpeg-avutil >= "1.0.0~beta2"
  369. ffmpeg-swresample >= "1.0.0~beta2"
  370. ffmpeg-swscale >= "1.0.0~beta2"
  371. fiat-p256 = "0.2.2"
  372. fiber
  373. fiber-lwt
  374. flac >= "0.3.1"
  375. flint
  376. fmlib
  377. fmlib_browser
  378. fmlib_js
  379. fmlib_parse
  380. fmlib_pretty
  381. fmlib_std
  382. fontforge-of-ocaml
  383. forester
  384. frama-c >= "27.0"
  385. frama-c-lannotate >= "0.2.3"
  386. frama-c-luncov >= "0.2.1"
  387. frama-c-metacsl >= "0.4"
  388. frama-clang
  389. fred
  390. frenetic >= "5.0.0"
  391. fsevents
  392. fsevents-lwt
  393. fun-postgresql
  394. fun-sql
  395. fun-sqlite
  396. fuseau
  397. fuseau-lwt
  398. GT >= "0.5.0"
  399. gccjit
  400. gd >= "1.1"
  401. gen >= "0.5.1"
  402. gen_js_api >= "1.0.8"
  403. geojson
  404. geojsone
  405. geoml
  406. getopt >= "20230213"
  407. github >= "4.4.0"
  408. github-data
  409. github-jsoo >= "4.4.0"
  410. github-unix >= "4.4.0"
  411. gitlab
  412. gitlab-jsoo
  413. gitlab-unix
  414. gitlab_pipeline_notifier
  415. globlon
  416. gluon
  417. gluten >= "0.5.0"
  418. gluten-async >= "0.5.0"
  419. gluten-eio >= "0.5.0"
  420. gluten-lwt >= "0.5.0"
  421. gluten-lwt-unix >= "0.5.0"
  422. gluten-mirage >= "0.5.0"
  423. gnuplot >= "0.6"
  424. goblint >= "1.1.1"
  425. goblint-cil >= "1.8.0"
  426. gospel >= "0.2.0"
  427. gotd
  428. gperftools >= "0.4"
  429. gpiod
  430. gpt
  431. grace
  432. gradescope_submit
  433. graphql_jsoo_client
  434. graphv
  435. graphv_core
  436. graphv_core_lib
  437. graphv_font
  438. graphv_font_js
  439. graphv_font_stb_truetype
  440. graphv_gles2
  441. graphv_gles2_native
  442. graphv_gles2_native_impl
  443. graphv_webgl
  444. graphv_webgl_impl
  445. grpc
  446. grpc-async
  447. grpc-bench
  448. grpc-eio
  449. grpc-examples
  450. grpc-lwt
  451. gsl >= "1.25.0"
  452. guardian
  453. guile
  454. h1_parser
  455. h2 >= "0.10.0"
  456. h2-async >= "0.10.0"
  457. h2-eio
  458. h2-lwt >= "0.10.0"
  459. h2-lwt-unix >= "0.10.0"
  460. h2-mirage >= "0.10.0"
  461. hacl-star >= "0.4.0"
  462. hacl_func
  463. hacl_x25519 = "0.2.1"
  464. hashcons >= "1.4.0"
  465. hc >= "0.2"
  466. hdr_histogram
  467. headache = "1.06"
  468. header-check
  469. highlexer
  470. higlo >= "0.8"
  471. hilite
  472. hockmd
  473. hol2dk
  474. hooke
  475. hpack >= "0.10.0"
  476. hsluv
  477. html_of_jsx
  478. htmlfromtexbooks
  479. http
  480. http-cookie
  481. http-date
  482. http-multipart-formdata
  483. http_async
  484. httpaf_caged >= "1.0.1"
  485. httpun-ws
  486. httpun-ws-async
  487. httpun-ws-eio
  488. httpun-ws-lwt
  489. httpun-ws-lwt-unix
  490. httpun-ws-mirage
  491. ISO3166
  492. ISO8601 >= "0.2.6"
  493. idds
  494. imguiml
  495. inotify >= "2.4"
  496. inquire >= "0.3.0"
  497. inquirer_oc
  498. interval-map
  499. iomux
  500. ip2location
  501. ip2locationio
  502. ip2whois
  503. irc-client >= "0.6.2"
  504. irc-client-lwt >= "0.6.2"
  505. irc-client-lwt-ssl
  506. irc-client-tls >= "0.6.2"
  507. irc-client-unix >= "0.6.2"
  508. iri >= "0.6.0"
  509. irmin >= "3.0.0"
  510. irmin-watcher >= "0.5.0"
  511. iter
  512. jekyll-format >= "0.2.0"
  513. jerboa
  514. jext
  515. jose >= "0.6.0"
  516. js_of_ocaml >= "3.10.0"
  517. js_of_ocaml-compiler >= "3.10.0"
  518. js_of_ocaml-lwt >= "3.10.0"
  519. js_of_ocaml-ocamlbuild >= "3.10.0"
  520. js_of_ocaml-ppx >= "3.10.0"
  521. js_of_ocaml-ppx_deriving_json >= "3.10.0"
  522. js_of_ocaml-toplevel >= "3.10.0"
  523. js_of_ocaml-tyxml >= "3.10.0"
  524. json-data-encoding >= "0.12"
  525. jsonoo
  526. jsonrpc >= "1.4.0"
  527. jsonschema2atd
  528. jsoo-react
  529. junit >= "1.0"
  530. junit_alcotest
  531. junit_ounit
  532. jupyter-kernel >= "0.4"
  533. jwto >= "0.4.0"
  534. kcas >= "0.1.6" & < "0.7.0"
  535. kcas_data < "0.7.0"
  536. kdl
  537. kind2
  538. kittyimg
  539. kkmarkdown
  540. knights_tour
  541. kqueue >= "0.2.0"
  542. lab
  543. lablgtk3-extras >= "3.0.1"
  544. lacaml >= "11.0.10"
  545. ladspa >= "0.2.1"
  546. lambda
  547. lambda-term >= "3.3.0"
  548. lambda_streams
  549. lambdapi >= "2.0.0"
  550. lame >= "0.3.6"
  551. landmarks >= "1.4"
  552. landmarks-ppx
  553. lastfm >= "0.3.4"
  554. ldap >= "2.4.2"
  555. ldp
  556. ldp_curl
  557. ldp_js
  558. ldp_tls
  559. leaflet
  560. learn-ocaml >= "0.12"
  561. leaves
  562. letters != "0.1.1"
  563. leveldb >= "1.3.0"
  564. libbpf
  565. libbpf_maps
  566. libc
  567. libsail
  568. lilv
  569. linenoise >= "1.3.1"
  570. linol
  571. linol-eio
  572. linol-lwt
  573. lintcstubs
  574. lintcstubs-arity
  575. lintcstubs-gen
  576. liquidsoap >= "2.2.0"
  577. liquidsoap-core
  578. liquidsoap-js
  579. liquidsoap-lang
  580. liquidsoap-libs
  581. liquidsoap-libs-extra
  582. liquidsoap-mode
  583. little_logger
  584. llama
  585. llama-cpp-ocaml
  586. llama_core
  587. llama_interactive
  588. llama_midi
  589. lmdb >= "1.0"
  590. logical
  591. logs-async >= "1.3"
  592. logs-async-reporter >= "1.3"
  593. loop
  594. lreplay
  595. lru_cache < "v0.16.0"
  596. lsp >= "1.4.0"
  597. lua-ml >= "0.9.3"
  598. lua_parser >= "1.0.2"
  599. luv = "0.5.12"
  600. lwd >= "0.2"
  601. lwt-parallel >= "1.0.0"
  602. lwt-pipe
  603. lwt_eio
  604. lz4 >= "1.2.0"
  605. m_tree
  606. mad >= "0.5.1"
  607. make-random
  608. matita
  609. mc2
  610. md2mld >= "0.7.0"
  611. mdx = "1.7.0" | >= "1.11.0"
  612. mec
  613. mehari
  614. mehari-eio
  615. mehari-eio-unix
  616. mehari-lwt-unix
  617. mehari-mirage
  618. mel
  619. melange
  620. melange-atdgen-codec-runtime
  621. melange-compiler-libs
  622. melange-fest
  623. melange-fetch
  624. melange-jest
  625. melange-json
  626. melange-moment
  627. melange-numeral
  628. melange-radix-icons
  629. melange-react-dates
  630. melange-react-query
  631. melange-recharts
  632. melange-testing-library
  633. melange-webapi
  634. meldep
  635. mem_usage
  636. memgraph
  637. memgraph_kitty
  638. metadata
  639. metadb
  640. metapp >= "0.3.0"
  641. metaquot >= "0.3.0"
  642. middleware
  643. minisat >= "0.2"
  644. minttea
  645. mjson
  646. mlbdd >= "0.7.2"
  647. mlmpfr >= "4.2.0"
  648. mlx
  649. mm >= "0.7.2"
  650. mnd
  651. module-graph
  652. monocypher
  653. monomorphic >= "2.0"
  654. moonpool
  655. moonpool-lwt
  656. mopsa
  657. morbig >= "0.10.3"
  658. mpg123 >= "0.3"
  659. mpris >= "0.2.0"
  660. mpris-clients
  661. mssql >= "2.0.3"
  662. mugen
  663. mula
  664. multibase
  665. multicodec
  666. multicont >= "1.0.1"
  667. multicore-bench < "0.1.2"
  668. multicore-magic < "2.2.0"
  669. multicore-magic-dscheck
  670. multihash
  671. multihash-digestif
  672. mustache >= "3.2.0"
  673. mustache-cli
  674. mysql_protocol >= "3.0.1"
  675. nanoid
  676. nanosvg
  677. nanosvg_text
  678. nbd >= "6.0.0"
  679. nbd-tool
  680. nbd-unix
  681. netkat
  682. neural_nets_lib
  683. nice_parser
  684. ninja_utils
  685. niru
  686. nloge
  687. nlopt
  688. nmea
  689. noCanren >= "0.3.0~alpha1"
  690. node_of_ocaml
  691. nomad
  692. nottui >= "0.2"
  693. nottui-lwt >= "0.2"
  694. nottui-pretty >= "0.2"
  695. nunchaku >= "0.5.1"
  696. nuscr >= "1.1.0"
  697. OCADml
  698. OCanren >= "0.3.0~alpha1"
  699. OCanren-ppx >= "0.3.0~alpha1"
  700. OSCADml
  701. obuilder
  702. obuilder-spec
  703. ocaml-canvas
  704. ocaml-compiler-libs = "v0.12.4"
  705. ocaml-in-python
  706. ocaml-index
  707. ocaml-logicalform
  708. ocaml-lsp-server >= "1.4.0"
  709. ocaml-lua >= "1.8"
  710. ocaml-protoc >= "2.1"
  711. ocaml-protoc-plugin >= "5.0.0"
  712. ocaml-version >= "3.6.0"
  713. ocamlc-loc
  714. ocamldiff >= "1.2"
  715. ocamlformat >= "0.19.0~4.13preview"
  716. ocamlformat-lib
  717. ocamlformat-rpc >= "0.19.0" & < "removed"
  718. ocamlformat-rpc-lib
  719. ocamlfuse >= "2.7.1-cvs8"
  720. ocamlmerlin-mlx
  721. ocamlregextkit
  722. ocannl_npy
  723. ocb
  724. ocf >= "0.8.0"
  725. ocf_ppx
  726. ockt
  727. ocluster >= "0.2"
  728. ocluster-api >= "0.2"
  729. ocluster-worker
  730. ocp-browser >= "1.2.2"
  731. ocp-index >= "1.2.2"
  732. ocp-search
  733. ocplib-simplex >= "0.5.1"
  734. ocplib_stuff >= "0.3.0"
  735. odep >= "0.2.0"
  736. odig >= "0.0.7"
  737. oframl
  738. ogg >= "0.7.1"
  739. ojo
  740. ojs >= "1.0.8"
  741. ojs_base
  742. ojs_base_all
  743. ojs_base_ppx
  744. ojs_ed
  745. ojs_filetree
  746. ojs_list
  747. olinq >= "0.3"
  748. oma
  749. omd = "1.3.2" | >= "2.0.0~alpha3"
  750. omigrate != "0.3.0"
  751. omtl
  752. oniguruma
  753. opam-0install >= "0.4.2"
  754. opam-0install-cudf >= "0.4.2"
  755. opam-bin >= "0.9.5"
  756. opam-check-npm-deps
  757. opam-compiler >= "0.2.0"
  758. opam-dune-lint
  759. opam-monorepo >= "0.3.0"
  760. opam-spin
  761. opam_bin_lib >= "0.9.5"
  762. opasswd >= "1.3.1"
  763. openapi
  764. openapi_router
  765. openstellina
  766. opentelemetry
  767. opentelemetry-client-cohttp-lwt
  768. opentelemetry-client-ocurl
  769. opentelemetry-cohttp-lwt
  770. opentelemetry-lwt
  771. opine
  772. opium >= "0.20.0"
  773. opium-testing >= "0.20.0"
  774. oplot != "0.50"
  775. optiml-transport
  776. opus >= "0.2.1"
  777. oraft >= "0.3.0"
  778. ordering
  779. ordinal
  780. orgeat
  781. ortac-core >= "0.2.0"
  782. ortac-dune
  783. ortac-qcheck-stm >= "0.2.0"
  784. ortac-runtime >= "0.2.0"
  785. ortac-runtime-qcheck-stm
  786. oseq
  787. osh
  788. osnap
  789. otoggl
  790. otoml >= "0.9.3"
  791. ounit2 >= "2.2.7"
  792. ounit2-lwt >= "2.2.7"
  793. override >= "0.4.0"
  794. owi
  795. p5scm
  796. packstream
  797. pancake
  798. pandoc >= "0.2.1"
  799. pandoc-abbreviations >= "0.2.1"
  800. pandoc-comment >= "0.2.1"
  801. pandoc-crossref >= "0.2.1"
  802. pandoc-include >= "0.2.1"
  803. pandoc-inspect >= "0.2.1"
  804. pandoc-pdf2png >= "0.2.1"
  805. pandoc-replace >= "0.2.1"
  806. par_incr
  807. pari
  808. pari-bindings
  809. parmap >= "1.2.3"
  810. passage
  811. path_glob
  812. patoline >= "0.2"
  813. patricia-tree < "0.10.0"
  814. pbrt
  815. pbrt_yojson
  816. pcre >= "7.5.0"
  817. pcre2
  818. petrol
  819. pgx >= "1.0"
  820. pgx_async >= "2.2"
  821. pgx_lwt >= "2.2"
  822. pgx_lwt_mirage >= "2.2"
  823. pgx_lwt_unix >= "2.2"
  824. pgx_unix >= "2.2"
  825. pgx_value_core >= "2.2"
  826. pgx_value_ptime >= "2.2"
  827. phylogenetics >= "0.2.0"
  828. piece_rope
  829. plateau
  830. plist-xml
  831. plist-xml-lwt
  832. plotly
  833. plplot >= "5.12.0"
  834. polars
  835. polars_async
  836. poll
  837. popper
  838. portaudio >= "0.2.3"
  839. portmidi
  840. posix-base >= "2.0.1"
  841. posix-bindings >= "2.0.1"
  842. posix-getopt >= "2.0.1"
  843. posix-signal >= "2.0.1"
  844. posix-socket >= "2.0.1"
  845. posix-socket-unix >= "2.0.1"
  846. posix-time2 >= "2.0.1"
  847. posix-types >= "2.0.1"
  848. posix-uname >= "2.0.1"
  849. pp >= "1.2.0"
  850. pp-binary-ints
  851. pp_loc
  852. ppx_camlrack
  853. ppx_catch
  854. ppx_const >= "2.0"
  855. ppx_decimal
  856. ppx_default
  857. ppx_deriving_cad
  858. ppx_deriving_encoding >= "0.3.0"
  859. ppx_deriving_hash
  860. ppx_deriving_madcast >= "0.2"
  861. ppx_deriving_popper
  862. ppx_deriving_qcheck >= "0.2.0"
  863. ppx_deriving_scad
  864. ppx_deriving_yaml >= "0.2.0"
  865. ppx_distr_guards >= "0.3"
  866. ppx_dream_eml
  867. ppx_fun >= "0.0.9"
  868. ppx_getenv >= "2.0"
  869. ppx_interact
  870. ppx_make
  871. ppx_map
  872. ppx_minidebug
  873. ppx_monad
  874. ppx_monoid >= "0.3.3"
  875. ppx_open
  876. ppx_optint
  877. ppx_parser
  878. ppx_partial
  879. ppx_pyformat
  880. ppx_repr != "0.2.0"
  881. ppx_seq
  882. ppx_subliner
  883. ppx_system
  884. ppx_trace
  885. ppx_ts
  886. ppx_update
  887. ppx_viewpattern
  888. ppx_yojson >= "1.3.0"
  889. ppxlib >= "0.22.0"
  890. pratter
  891. prbnmcn-basic-structures
  892. prbnmcn-cgrph
  893. prbnmcn-clustering
  894. prbnmcn-dagger
  895. prbnmcn-dagger-gsl
  896. prbnmcn-dagger-stats
  897. prbnmcn-dagger-test
  898. prbnmcn-gnuplot
  899. prbnmcn-linalg
  900. prbnmcn-mcts
  901. prbnmcn-proptest
  902. prbnmcn-stats
  903. prbnmcn-ucb1 >= "0.0.2"
  904. preface
  905. prelude
  906. pretty_expressive
  907. printbox >= "0.2"
  908. printbox-html
  909. printbox-md
  910. printbox-text
  911. processor
  912. producer
  913. progress
  914. prometheus-liquidsoap >= "2"
  915. promise_jsoo
  916. promise_jsoo_lwt
  917. provider
  918. prr
  919. psmt2-frontend >= "0.3.0"
  920. pulseaudio >= "0.1.5"
  921. pure-html
  922. pvec
  923. pyast
  924. pyml >= "20210924"
  925. pyml_bindgen
  926. pyre-ast
  927. qbf >= "0.3"
  928. qcheck >= "0.9"
  929. qcheck-alcotest
  930. qcheck-core
  931. qcheck-lin
  932. qcheck-multicoretests-util
  933. qcheck-ounit
  934. qcheck-stm
  935. quick_print
  936. quickjs
  937. randii
  938. random
  939. randoml
  940. raygui
  941. raylib >= "0.3.1"
  942. rdf >= "0.13.0"
  943. rdf_impls
  944. rdf_json_ld
  945. rdf_lwt
  946. rdf_mysql
  947. rdf_postgresql
  948. rdf_ppx
  949. rea < "0.2.0"
  950. reactjs-jsx-ppx
  951. readline
  952. reason >= "3.9.0"
  953. reason-react
  954. reason-react-ppx
  955. reddit_api_async
  956. reddit_api_kernel
  957. redis >= "0.4"
  958. redis-lwt >= "0.4"
  959. redis-sync >= "0.4"
  960. refl >= "0.2.0"
  961. reparse >= "2.0.0"
  962. reparse-lwt
  963. reparse-lwt-unix
  964. reparse-unix
  965. repr != "0.2.0"
  966. repr-bench
  967. repr-fuzz
  968. rescript-syntax
  969. reshowcase
  970. resto >= "0.7"
  971. rfsm >= "2.0"
  972. rio
  973. river >= "0.2"
  974. rock >= "0.20.0"
  975. roman
  976. routes >= "1.0.0"
  977. rpc >= "6.1.0"
  978. rpmfile
  979. rsdd
  980. rtop >= "3.9.0"
  981. rtree
  982. runtime_events_tools
  983. SourceCode_ASCII
  984. safemoney
  985. sail >= "0.15"
  986. sail_c_backend
  987. sail_coq_backend
  988. sail_doc_backend
  989. sail_latex_backend
  990. sail_lem_backend
  991. sail_manifest
  992. sail_ocaml_backend
  993. sail_output
  994. sail_smt_backend
  995. sail_sv_backend
  996. samplerate >= "0.1.6"
  997. sanddb >= "0.2"
  998. sarek >= "20210823"
  999. sarif
  1000. saturn >= "0.4.1"
  1001. saturn_lockfree >= "0.4.1"
  1002. scad_ml
  1003. scfg
  1004. sd_logic
  1005. sdl-liquidsoap >= "3"
  1006. secp256k1 >= "0.4.1"
  1007. sedlex >= "2.4"
  1008. sel
  1009. semv
  1010. semver >= "0.2.1"
  1011. semver2
  1012. seqes
  1013. sequence >= "1.1"
  1014. serde
  1015. serde_debug
  1016. serde_derive
  1017. serde_json
  1018. serde_sexpr
  1019. serde_xml
  1020. server-reason-react
  1021. sexp_decode
  1022. sha >= "1.15.1"
  1023. shades
  1024. shine >= "0.2.2"
  1025. shuttle
  1026. shuttle_http
  1027. shuttle_ssl
  1028. shuttle_websocket
  1029. sifun
  1030. signal
  1031. sihl >= "0.1.5"
  1032. sihl-cache
  1033. sihl-contract
  1034. sihl-core
  1035. sihl-email
  1036. sihl-facade
  1037. sihl-persistence
  1038. sihl-queue
  1039. sihl-session
  1040. sihl-storage
  1041. sihl-token
  1042. sihl-type
  1043. sihl-user
  1044. sihl-web
  1045. simlog
  1046. sitemap
  1047. slipshow
  1048. smart-print >= "0.3.0"
  1049. smol
  1050. smol-helpers
  1051. smtlib-utils
  1052. smtml
  1053. snappy >= "0.1.2"
  1054. snoke
  1055. sodium-fmt
  1056. solid
  1057. solid_server
  1058. solid_tools
  1059. solidity-alcotest
  1060. solidity-common
  1061. solidity-parser
  1062. solidity-test
  1063. solidity-typechecker
  1064. spatial-shell
  1065. spawn >= "v0.15.0"
  1066. spdx_licenses < "1.2.0"
  1067. spectrum
  1068. speed
  1069. speex >= "0.4.1"
  1070. spelll >= "0.3"
  1071. spices
  1072. spin
  1073. spoc >= "20210823"
  1074. spoc_ppx
  1075. sqids
  1076. sqlgg >= "20200521"
  1077. sqlite3 >= "5.0.3"
  1078. sqlite3_utils
  1079. srt >= "0.2.1"
  1080. ssl >= "0.7.0"
  1081. sslconf
  1082. starpath
  1083. starred_ml
  1084. stdint = "0.7.0" | >= "0.7.2"
  1085. stdint-literals
  1086. stdlib-random
  1087. stdune
  1088. stk
  1089. stk_iconv
  1090. stog >= "0.20.0"
  1091. stog_all
  1092. stog_asy
  1093. stog_dot
  1094. stog_extern
  1095. stog_markdown
  1096. stog_multi_doc
  1097. stog_nocaml
  1098. stog_noexec
  1099. stog_plugins
  1100. stog_rdf
  1101. stog_rel_href
  1102. stog_server
  1103. stog_server_multi
  1104. stog_sitemap
  1105. stog_writing
  1106. stramon-lib
  1107. stringCodepointSplitter
  1108. styled-ppx
  1109. sun
  1110. swhid
  1111. swhid_compute
  1112. swhid_core
  1113. swhid_types
  1114. swipl
  1115. syguslib-utils
  1116. tabr
  1117. taglib >= "0.3.7"
  1118. talaria-bibtex
  1119. tar >= "2.0.0"
  1120. tar-eio
  1121. tar-mirage >= "2.0.0"
  1122. tar-unix >= "2.0.0"
  1123. teash
  1124. telemetry
  1125. term-indexing
  1126. terminal
  1127. terminus
  1128. terminus-cohttp
  1129. terminus-hlc
  1130. terml
  1131. testu01
  1132. textmate-language
  1133. textrazor
  1134. tezos-bls12-381-polynomial >= "0.1.3"
  1135. tezos-plompiler >= "0.1.3"
  1136. tezos-plonk >= "0.1.3"
  1137. tezt-bam
  1138. thread-table
  1139. tidy_email
  1140. tidy_email_mailgun
  1141. tidy_email_sendgrid
  1142. tidy_email_smtp
  1143. timed >= "1.1"
  1144. timedesc >= "0.8.0"
  1145. timedesc-json
  1146. timedesc-sexp
  1147. timedesc-tzdb
  1148. timedesc-tzlocal
  1149. timedesc-tzlocal-js
  1150. timere >= "0.8.0"
  1151. timmy
  1152. timmy-jsoo
  1153. timmy-unix
  1154. tiny_httpd
  1155. tiny_httpd_camlzip
  1156. tip-parser >= "0.4"
  1157. tls-liquidsoap
  1158. toc
  1159. togglelog
  1160. toml >= "5.0.0"
  1161. toml_cconv >= "7.0.0"
  1162. topojson
  1163. topojsone
  1164. touist >= "3.5.0"
  1165. trace
  1166. trace-fuchsia
  1167. trace-tef
  1168. tracy-client
  1169. trail
  1170. traits
  1171. trampoline
  1172. transept
  1173. traverse >= "0.3.0"
  1174. travesty >= "0.7.2"
  1175. trexio
  1176. tsdl-image >= "0.3.0"
  1177. tsdl-mixer >= "0.3.0"
  1178. tsdl-ttf >= "0.3"
  1179. tty
  1180. twirp_cohttp_lwt_unix
  1181. twirp_core
  1182. twirp_ezcurl
  1183. twirp_tiny_httpd
  1184. tyabt
  1185. type_eq
  1186. type_id
  1187. typeid
  1188. tyre >= "0.5"
  1189. tyxml >= "4.6.0"
  1190. tyxml-jsx >= "4.6.0"
  1191. tyxml-lwd >= "0.2"
  1192. tyxml-ppx >= "4.6.0"
  1193. tyxml-syntax >= "4.6.0"
  1194. ubase >= "0.20"
  1195. um-abt
  1196. unisim_archisec
  1197. universal-portal
  1198. uring
  1199. uritemplate >= "0.1.0"
  1200. urn
  1201. validate
  1202. validator
  1203. varray
  1204. vdom
  1205. vec >= "0.2.0"
  1206. vendredi
  1207. voqc >= "0.2.0"
  1208. vue-jsoo >= "0.3"
  1209. vue-ppx
  1210. wayland
  1211. waylaunch < "0.3.0"
  1212. wcwidth
  1213. websocket >= "2.15"
  1214. websocket-async >= "2.15"
  1215. websocket-lwt-unix >= "2.15"
  1216. why3find
  1217. win-eventlog >= "0.4"
  1218. winsvc >= "1.0.1"
  1219. wtr
  1220. wtr-ppx
  1221. wu-manber-fuzzy-search
  1222. xapi-stdext-date
  1223. xapi-stdext-encodings
  1224. xapi-stdext-pervasives >= "4.19.0"
  1225. xapi-stdext-std >= "4.19.0"
  1226. xapi-stdext-threads >= "4.19.0"
  1227. xapi-stdext-unix >= "4.19.0"
  1228. xapi-stdext-zerocheck
  1229. xcursor
  1230. xdg
  1231. xmelly
  1232. xmldiff >= "0.7.0"
  1233. xmldiff_js
  1234. xoshiro
  1235. xtmpl >= "0.19.0"
  1236. xtmpl_js
  1237. xtmpl_ppx
  1238. yocaml
  1239. yocaml_cmark
  1240. yocaml_git
  1241. yocaml_jingoo
  1242. yocaml_markdown
  1243. yocaml_mustache
  1244. yocaml_syndication
  1245. yocaml_unix
  1246. yocaml_yaml
  1247. yojson >= "2.0.0"
  1248. yojson-five
  1249. yuujinchou >= "0.10.0"
  1250. zanuda
  1251. zar
  1252. zed >= "3.2.0"
  1253. zlib >= "0.6"
  1254. zlist >= "0.4.0"
  1255. zmq >= "5.2.1"
  1256. zmq-async >= "5.2.1"
  1257. zmq-eio
  1258. zmq-lwt >= "5.2.1"

Conflicts

None

OCaml

Innovation. Community. Security.